<template>
    <div class="container">

        <button type="button" class="btn btn-primary">Reset</button>
        <p> {{ msg }} </p>
    </div>
</template>
    
<script>
import axios from 'axios';

export default {
    name: 'Ping',
    data() {
        return {
            msg: 'No message yet',
        };
    },
    methods: {
        getMessage() {
            const path = 'http://localhost:5000/product/';
            axios.get(path)
                .then((res) => {
                    this.msg = res.data;
                })
                .catch((error) => {

                    console.error(error);
                });
        },
    },
    created() {
        this.getMessage();
    },
};
</script>